Bug 501076 - cman_tool: aisexec daemon didn't start
cman_tool: aisexec daemon didn't start
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Steven Dake
Cluster QE
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 16:24 EDT by Nate Straz
Modified: 2016-04-26 11:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 07:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2009-05-15 16:24:52 EDT
Description of problem:

aisexec dies immediately when trying to start a cluster with 5.4 bits

Core was generated by `aisexec'.
Program terminated with signal 11, Segmentation fault.
[New process 5661]
[New process 5663]
[New process 5662]
#0  0x0000000000000000 in ?? ()
(gdb) thr a a bt

Thread 3 (process 5662):
#0  0x00000033cfcca566 in poll () from /lib64/libc.so.6
#1  0x000000000041c895 in prioritized_timer_thread (data=<value optimized out>) at timer.c:125
#2  0x00000033d0406367 in start_thread () from /lib64/libpthread.so.0
#3  0x00000033cfcd30ad in clone () from /lib64/libc.so.6

Thread 2 (process 5663):
#0  0x00000033cfcdee6e in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00000033cfccfd87 in _L_lock_646 () from /lib64/libc.so.6
#2  0x00000033cfccf81a in __vsyslog_chk () from /lib64/libc.so.6
#3  0x00000033cfccfc03 in __syslog_chk () from /lib64/libc.so.6
#4  0x0000000000418c77 in log_printf_worker_fn (thread_data=<value optimized out>, work_item=<value optimized out>) at print.c:172
#5  0x0000000000417a2a in worker_thread (thread_data_in=<value optimized out>) at wthread.c:84
#6  0x00000033d0406367 in start_thread () from /lib64/libpthread.so.0
#7  0x00000033cfcd30ad in clone () from /lib64/libc.so.6

Thread 1 (process 5661):
#0  0x0000000000000000 in ?? ()
#1  0x000000000041a8d1 in openais_service_link_and_init (objdb=0x2aaaaaeaf8c0, service_name=0x1c503eb0 "openais_cman", service_ver=0, object_handle=9) at service.c:161
#2  0x000000000041aaa8 in openais_service_defaults_link_and_init (objdb=0x2aaaaaeaf8c0) at service.c:371
#3  0x00000000004185e8 in main (argc=<value optimized out>, argv=<value optimized out>) at main.c:609


Version-Release number of selected component (if applicable):
openais-0.80.6-1.el5
cman-2.0.100-1.el5

How reproducible:
every time

Steps to Reproduce:
attempt to start cluster with specified package versions
  
Actual results:
The cluster fails to start on any node

Expected results:
aisexec should not segfault

Additional info:
Comment 1 Steven Dake 2009-05-16 07:20:04 EDT
cman had to be rebuilt for 5.4.  Try using cman 101.

Regards
-steve
Comment 2 Nate Straz 2009-05-20 07:32:25 EDT
cman-2.0.101-1.el5 does work.

If cman had to be rebuilt, does that mean customer applications which use openais will need to be rebuilt also?
Comment 3 Steven Dake 2009-05-20 07:45:07 EDT
only things that use the internal plugin api (which is cman and pacemaker).

Regards
-steve

Note You need to log in before you can comment on or make changes to this bug.